InDesign ו macOS Catalina (10.15)

Extendscript Toolkit לא נפתח

בעיה

עם macOS 10.14 או גרסאות קודמות, כאשר אתה עורך JavaScript באמצעות החלונית Scripts ב- InDesign (חלון > כלי עזר > סקריפטים), ExtendScript Toolkit מוצג. Toolkit זה הוא יישום של 32 סיביות בלבד. עם זאת, ב-macOS 10.15 (Catalina), התומך ביישומי 64 סיביות בלבד, ערכת הכלים של ExtendScript אינה נפתחת.

פתרון

ערכת הכלים של ExtendScript הוחלפה על ידי ExtendScript Debugger 1.1.0.

לעריכה ואיתור באגים של JavaScripts בגירסאות macOS 10.15 ומעלה:

  • הורד והתקן Visual Studio Code בתיקיה / יישומים.
  • התקן את ExtendScript Extension (ESTK) אשר זמין תחת הרחבות ביישום Visual Studio Code.

תוספים לא נמצאו או לא ניתן לאמת אותם

ב- macOS 10.15, תוספים בהסגר עשויים להציג את אחת מהודעות השגיאה הבאות:

  • InDesign: הקובץ לא נמצא שגיאה
  • מערכת הפעלה: לא ניתן לפתוח את התוסף מכיוון שלא ניתן לאמת את המפתח

זה קורה עם תוספים שלא עברו נוטריזציה ואשר מורדים מהאינטרנט או מותקנים בשיטות אחרות כמו גרירה ושחרור.

  • לקוחות שכבר התקינו תוספים ואז מתעדכנים ל- macOS 10.15 לא אמורים להתקל בבעיה זו.
  • לקוחות שישדרגו ל- macOS 10.15 ואז ינסו להוריד ולהתקין תוסף עלולים לראות כשלים.

פתרון

השג תוספים מעודכנים מ מפתחי צד שלישי שעברו נוטריזציה עבור macOS 10.15. InDesign יטען תוספים שעברו נוטריזציה על ידי Apple.

 

מעקף

עבור תוספים ישנים שלא עברו נוטריזציה, לקוחות עם הרשאות מנהל מערכת יכולים להסיר את התוסף שבהסגר ע"י שימוש בפקודה הבאה, אם התוסף מותקן בתיקיית התוספים של יישום InDesign:

sudo xattr -r -d com.apple.quarantine /Applications/Adobe\ Indesign\ 2019/Plug-ins/<plug-in-name>

 

בדיקה האם תוסף נמצא בהסגר

לקוחות יכולים לבדוק אם תוסף נמצא בהסגר או לא באמצעות Terminal.

דוגמה אם התוסף נמצא בתיקיית התוספים של אפליקציית InDesign:

% ls -l@ /Applications/Adobe\ Indesign\ 2019/Plug-ins/<plug-in-name>/

 הערה: החלף את <plug-in-name> בשם האמיתי של שם התוסף שאתה צריך לתקן

המחזירה את התוצאה הבאה:

total 0 drwxr-xr-x@ 6 <username> wheel 192 Sep 26 15:11 Contents com.apple.quarantine 22

"com.apple.quarantine 22" פירושו שהתוסף נמצא בהסגר.

למפתחי תוספים צד שלישי

פיתוח ואיתור באגים של תוספי צד שלישי אינם נתמכים ב- macOS 10.15 (Catalina). כדי לפתח תוספים עם macOS, עליך לעמוד בדרישות המערכת הבאות:

  • Xcode 9.2
  • גרסה 10.13 או 10.14 של macOS
לוגו של Adobe

כניסה לחשבון